import javax.naming.ConfigurationException;

import net.knarcraft.serverlauncher.server.*;
import net.knarcraft.serverlauncher.userinterface.GUI;
import net.knarcraft.serverlauncher.userinterface.ServerTab;

import java.awt.*;
import java.io.*;

/**
 * A class for testing new and existing features.
 *
 * @author		Kristian Knarvik <kristian.knarvik@knett.no>
 * @version	0.0.0.1
 * @since		0.0.0.1
 */
class ServerTest {
    public static void main(String[] args) {
        EventQueue.invokeLater(() -> {
            try {
                setup();
                GUI window = new GUI();
                window.getFrame().setVisible(true);



                Server server1 = new Server("Server1", window, new ServerTab("Server1"));
                server1.toggle();
                server1.setPath("C:\\Users\\Kristian\\Desktop\\Test");
                server1.setType(ServerType.getServerTypes().get(4));
                server1.setServerVersion("1.12.2");
                server1.setMaxRam("1G");
                Server.startServers();


                InputStream stdout = server1.getProcess().getInputStream ();

                BufferedReader reader = new BufferedReader (new InputStreamReader(stdout));

                OutputStream stdin = server1.getProcess().getOutputStream ();
                BufferedWriter writer = new BufferedWriter(new OutputStreamWriter(stdin));

                String line;
                while ((line = reader.readLine ()) != null) {
                    System.out.println ("Stdout: " + line);
                    writer.write("stop\n");
                    writer.flush();
                }
                //writer.close();

            } catch (Exception e) {
                e.printStackTrace();
            }
        });
    }

    private static void setup() {
        try {
            ServerType.loadServerTypes();
        } catch (ConfigurationException e) {
            e.printStackTrace();
            System.exit(1);
        }
    }
}
